#----------------------------------------------------------------------------
# 	hsvtorgb
#----------------------------------------------------------------------------
proc HSVToRGB { colorBoxHue colorBoxSat colorBoxValue} {
# xf ignore me 6
# The HSV <-> RGB converting routines are from the
# tcolor demo that is part of the demo site of Tk.
# From: 
# http://www.mit.edu/afs/sipb/project/tcl/linuxbin/xfpixmap
#!/afs/sipb/project/tcl/wish -f
# Program: xfpixmap
# Tcl version: 6.6 (Tcl/Tk/XF)
# Tk version: 3.1
# XF version: $__lastrelease$

  set colorBoxV [format %.0f [expr 255.0*$colorBoxValue]]
  if {$colorBoxSat == 0} {
    return [format "#%02x%02x%02x" $colorBoxV $colorBoxV $colorBoxV]
  } else {
    set colorBoxHue [expr $colorBoxHue*6.0]
    if {$colorBoxHue >= 6.0} {
      set colorBoxHue 0.0
    }
    scan $colorBoxHue. %d i
    set colorBoxF [expr $colorBoxHue-$i]
    set colorBoxP [format %.0f [expr {255.0*$colorBoxValue*(1 - $colorBoxSat)}]]
    set colorBoxQ [format %.0f [expr {255.0*$colorBoxValue*(1 - ($colorBoxSat*$colorBoxF))}]]
    set colorBoxT [format %.0f [expr {255.0*$colorBoxValue*(1 - ($colorBoxSat*(1 - $colorBoxF)))}]]
    case $i       0 {return [format "#%02x%02x%02x" $colorBoxV $colorBoxT $colorBoxP]} \
      1 {return [format "#%02x%02x%02x" $colorBoxQ $colorBoxV $colorBoxP]} \
      2 {return [format "#%02x%02x%02x" $colorBoxP $colorBoxV $colorBoxT]} \
      3 {return [format "#%02x%02x%02x" $colorBoxP $colorBoxQ $colorBoxV]} \
      4 {return [format "#%02x%02x%02x" $colorBoxT $colorBoxP $colorBoxV]} \
      5 {return [format "#%02x%02x%02x" $colorBoxV $colorBoxP $colorBoxQ]}
    puts stderr "i value $i is out of range"
  }
}

