void moment(data,n,ave,adev,sdev,svar,skew,curt)
int n;
double data[],*ave,*adev,*sdev,*svar,*skew,*curt;
{
	int j;
	float s,p;

	if (n <= 1){
	 fprintf(stderr,"n must be at least 2 in MOMENT");
	 exit(0);
        }
	s=0.0;
	for (j=1;j<=n;j++) s += data[j];
	*ave=s/n;
	*adev=(*svar)=(*skew)=(*curt)=0.0;
	for (j=1;j<=n;j++) {
		*adev += fabs(s=data[j]-(*ave));
		*svar += (p=s*s);
		*skew += (p *= s);
		*curt += (p *= s);
	}
	*adev /= n;
	*svar /= (n-1);
	*sdev=sqrt(*svar);
	if (*svar) {
		*skew /= (n*(*svar)*(*sdev));
		*curt=(*curt)/(n*(*svar)*(*svar))-3.0;
	} else {
		fprintf(stderr,"No skew/kurtosis when variance = 0 (in MOMENT)");
		exit(0);
		}
}
