# sinvec(N,freq) : return [x,s] sin curve with frequency x
#	N : size of vector

function [x,s] = sinvec (N,freq)

  freq_radian = freq * 2 * 3.141592;

  x = ((1:N).-1).*freq_radian./N;

  s = sin(x);

endfunction

