//----------------------------------------------------------------------------
// 
//	file: simulog.h
// 
//	function:  
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Fri Jul 17 03:52:29 CDT 1998
// 
//	$Revision: 1.2 $ $Date: 2001/11/30 20:24:15 $
//	$Log: simulog.h,v $
//	Revision 1.2  2001/11/30 20:24:15  yschoe
//	pglissom v1.0 release
//
//	Revision 1.1  1998/07/27 08:54:17  yschoe
//	renamed log to simulog : log is a libm
//	function
//
//	Revision 1.1  1998/07/23 01:07:05  yschoe
//	jul22 stable version (except netlayer)
//
//
//----------------------------------------------------------------------------
#ifndef __SIMULOG_H
#define __SIMULOG_H

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <iostream.h>
#include <time.h>

enum Log_stat {LOG_OPEN, LOG_CLOSED};

class simulog {

  FILE	*fp;	// default file pointer
  char 	*filename; // file name
  Log_stat filestat; // file status

public:

  	simulog(char *comment, char *filename);
 	~simulog(); 

  void add(const char *format, ...); //add simulog entry to an open simulog file
  void append(const char *format, ...);//append simulog to a closed simulog file
	
private:
	
  void timestamp(); // print timestamp to fp

};
#endif
